%{?nodejs_find_provides_and_requires}

Name:       nodejs-channels
Version:    0.0.4
Release:    1%{?dist}
Summary:    Event channels in node.js
License:    ASL 2.0
Group:      Development/Libraries
URL:        https://github.com/Pita/channels
Source0:    http://registry.npmjs.org/channels/-/channels-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%description
Channels keeps your messages in order for different endpoints(channels) of your
nodeJS application.

%prep
%setup -q -n package

#remove bundled modules
rm -rf node_modules

%build
#nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/async-stacktrace
cp -pr *.js package.json %{buildroot}%{nodejs_sitelib}/async-stacktrace

%nodejs_symlink_deps


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/async-stacktrace
%doc README.md

%changelog
* Tue Oct 08 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.0.4-1
- Initial release
